Index: ccr/trunk/p/GPLCCR0.m
===================================================================
--- ccr/trunk/p/GPLCCR0.m	(revision 61)
+++ ccr/trunk/p/GPLCCR0.m	(revision 63)
@@ -64,5 +64,5 @@
  ;<TEMPLATE>
  ;;<?xml version="1.0" encoding="UTF-8"?>
- ;;<?xml-stylesheet type="text/xsl" href="ccr_20060420.xsl"?>
+ ;;<?xml-stylesheet type="text/xsl" href="ccr.xsl"?>
  ;;<ContinuityOfCareRecord xmlns="urn:astm-org:CCR">
  ;;<CCRDocumentObjectID>871bd605-e8f8-4b80-9918-4b03f781129e</CCRDocumentObjectID>
@@ -429,4 +429,456 @@
  ;;</Result>
  ;;</VitalSigns>
+ ;;<Results>
+ ;;<Result>
+ ;;<CCRDataObjectID>7d5a02b0-67a4-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-04-07T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>CBC WO DIFFERENTIAL</Text>
+ ;;<Code>
+ ;;<Value>43789009</Value>
+ ;;<CodingSystem>SNOMED CT</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<Test>
+ ;;<CCRDataObjectID>107c2dc0-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-04-07T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>HGB</Text>
+ ;;<Code>
+ ;;<Value>30313-1</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>13.2</Value>
+ ;;<Units>
+ ;;<Unit>g/dl</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Description>
+ ;;<Text>M 13-18 g/dl; F 12-16 g/dl</Text>
+ ;;</Description>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;</Test>
+ ;;<Test>
+ ;;<CCRDataObjectID>8b3fa370-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-04-07T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>WBC</Text>
+ ;;<Code>
+ ;;<Value>33765-9</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>6.7</Value>
+ ;;<Units>
+ ;;<Unit>10+3/ul</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Value>4.3</Value>
+ ;;<Units>
+ ;;<Unit>10+3/ul</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>1</ValueSequencePosition>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;<Normal>
+ ;;<Value>10.8</Value>
+ ;;<Units>
+ ;;<Unit>10+3/ul</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>2</ValueSequencePosition>
+ ;;<VariableNomalModifier>
+ ;;<Text>TO</Text>
+ ;;</VariableNomalModifier>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;</Test>
+ ;;<Test>
+ ;;<CCRDataObjectID>80a6c740-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-04-07T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>PLT</Text>
+ ;;<Code>
+ ;;<Value>123</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>153</Value>
+ ;;<Units>
+ ;;<Unit>10+3/ul</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Value>150</Value>
+ ;;<Units>
+ ;;<Unit>10+3/ul</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>1</ValueSequencePosition>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;<Normal>
+ ;;<Value>350</Value>
+ ;;<Units>
+ ;;<Unit>10+3/ul</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>2</ValueSequencePosition>
+ ;;<VariableNomalModifier>
+ ;;<Text>TO</Text>
+ ;;</VariableNomalModifier>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;<Flag>
+ ;;<Text>LOW</Text>
+ ;;</Flag>
+ ;;</Test>
+ ;;</Result>
+ ;;<Result>
+ ;;<CCRDataObjectID>a40027e0-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-03-23T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>LYTES</Text>
+ ;;<Code>
+ ;;<Value>20109005</Value>
+ ;;<CodingSystem>SNOMED CT</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<Test>
+ ;;<CCRDataObjectID>a40027e1-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-03-23T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>NA</Text>
+ ;;<Code>
+ ;;<Value>2951-2</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>140</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Value>135</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>1</ValueSequencePosition>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;<Normal>
+ ;;<Value>145</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>2</ValueSequencePosition>
+ ;;<VariableNomalModifier>
+ ;;<Text>TO</Text>
+ ;;</VariableNomalModifier>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;</Test>
+ ;;<Test>
+ ;;<CCRDataObjectID>a40027e2-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-03-23T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>K</Text>
+ ;;<Code>
+ ;;<Value>2823-3</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>4.0</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Value>3.5</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>1</ValueSequencePosition>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;<Normal>
+ ;;<Value>5.0</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>2</ValueSequencePosition>
+ ;;<VariableNomalModifier>
+ ;;<Text>TO</Text>
+ ;;</VariableNomalModifier>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;</Test>
+ ;;<Test>
+ ;;<CCRDataObjectID>a40027e3-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-03-23T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>CL</Text>
+ ;;<Code>
+ ;;<Value>2075-0</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>102</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Value>98</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>1</ValueSequencePosition>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;<Normal>
+ ;;<Value>106</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>2</ValueSequencePosition>
+ ;;<VariableNomalModifier>
+ ;;<Text>TO</Text>
+ ;;</VariableNomalModifier>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;</Test>
+ ;;<Test>
+ ;;<CCRDataObjectID>a40027e4-67a5-11db-bd13-0800200c9a66</CCRDataObjectID>
+ ;;<DateTime>
+ ;;<Type>
+ ;;<Text>Assessment Time</Text>
+ ;;</Type>
+ ;;<ExactDateTime>2000-03-23T14:30Z</ExactDateTime>
+ ;;</DateTime>
+ ;;<Description>
+ ;;<Text>HCO3</Text>
+ ;;<Code>
+ ;;<Value>1963-8</Value>
+ ;;<CodingSystem>LOINC</CodingSystem>
+ ;;</Code>
+ ;;</Description>
+ ;;<Status>
+ ;;<Text>Final Results</Text>
+ ;;</Status>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;<TestResult>
+ ;;<Value>35</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;</TestResult>
+ ;;<NormalResult>
+ ;;<Normal>
+ ;;<Value>18</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>1</ValueSequencePosition>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;<Normal>
+ ;;<Value>23</Value>
+ ;;<Units>
+ ;;<Unit>meq/l</Unit>
+ ;;</Units>
+ ;;<ValueSequencePosition>2</ValueSequencePosition>
+ ;;<VariableNomalModifier>
+ ;;<Text>TO</Text>
+ ;;</VariableNomalModifier>
+ ;;<Source>
+ ;;<Actor>
+ ;;<ActorID>8a54f393-8015-460c-abd2-f29aad15481c</ActorID>
+ ;;</Actor>
+ ;;</Source>
+ ;;</Normal>
+ ;;</NormalResult>
+ ;;<Flag>
+ ;;<Text>HIGH</Text>
+ ;;</Flag>
+ ;;</Test>
+ ;;</Result>
+ ;;</Results>
  ;;<HealthCareProviders>
  ;;<Provider>