Index: ccr/trunk/p/GPLVITALS.m
===================================================================
--- ccr/trunk/p/GPLVITALS.m	(revision 65)
+++ ccr/trunk/p/GPLVITALS.m	(revision 73)
@@ -1,26 +1,25 @@
 GPLVITALS ; CCDCCR/CJE - CCR/CCD PROCESSING FOR VITALS ; 07/16/08
- ;;0.1;CCDCCR;;JUL 16,2008;
- ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
- ;General Public License See attached copy of the License.
- ;
- ;This program is free software; you can redistribute it and/or modify
- ;it under the terms of the GNU General Public License as published by
- ;the Free Software Foundation; either version 2 of the License, or
- ;(at your option) any later version.
- ;
- ;This program is distributed in the hope that it will be useful,
- ;but WITHOUT ANY WARRANTY; without even the implied warranty of
- ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- ;GNU General Public License for more details.
- ;
- ;You should have received a copy of the GNU General Public License along
- ;with this program; if not, write to the Free Software Foundation, Inc.,
- ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- ;
+          ;;0.1;CCDCCR;;JUL 16,2008;
+          ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+          ;General Public License See attached copy of the License.
+          ;
+          ;This program is free software; you can redistribute it and/or modify
+          ;it under the terms of the GNU General Public License as published by
+          ;the Free Software Foundation; either version 2 of the License, or
+          ;(at your option) any later version.
+          ;
+          ;This program is distributed in the hope that it will be useful,
+          ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+          ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+          ;GNU General Public License for more details.
+          ;
+          ;You should have received a copy of the GNU General Public License along
+          ;with this program; if not, write to the Free Software Foundation, Inc.,
+          ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+          ;
           W "NO ENTRY FROM TOP",!
-          W !
           Q
           ;
-EXTRACT(VITXML,DFN,VITOUTXML)          ; EXTRACT VITALS INTO PROVIDED XML TEMPLATE
+EXTRACT(VITXML,DFN,VITOUTXML) ; EXTRACT VITALS INTO PROVIDED XML TEMPLATE
           ;
           ; VITXML AND OUTXML ARE PASSED BY NAME SO GLOBALS CAN BE USED
@@ -45,11 +44,10 @@
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="HEIGHT"
           . . . S @VITVMAP@("VITALSIGNSSOURCEACTORID")="ACTORSYSTEM_1"
-          . . . ;S @VITVMAP@("VITALSIGNSSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTOBJECTID")="VITALTEST"_J
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="HEIGHT"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="248327008"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -63,7 +61,7 @@
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="WEIGHT"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="107647005"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -77,7 +75,7 @@
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="BLOOD PRESSURE"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="392570002"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -91,7 +89,7 @@
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="TEMPERATURE"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="309646008"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -105,7 +103,7 @@
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="RESPIRATION"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="366147009"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -119,7 +117,7 @@
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="PULSE"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="366199006"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -133,7 +131,7 @@
           . . . S @VITVMAP@("VITALSIGNSTESTTYPETEXT")="OBSERVED"
           . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONTEXT")="PAIN"
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")="22253000"
+          . . . S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")="SNOMED"
+          . . . S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)
@@ -150,5 +148,5 @@
           . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVALUE")=""
           . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODINGSYSTEM")=""
-          . . . ;S @VITVMAP@("VITALSIGNSDESCRIPTIONCODEVERSION")=""
+          . . . ;S @VITVMAP@("VITALSIGNSCODEVERSION")=""
           . . . S @VITVMAP@("VITALSIGNSTESTSOURCEACTORID")="ACTORPROVIDER_"_$P(^GMR(120.5,$P(VITPTMP,U,1),0),U,6)
           . . . S @VITVMAP@("VITALSIGNSTESTRESULTVALUE")=$P(VITPTMP,U,3)