Index: ccr/trunk/p/GPLCCD1.m
===================================================================
--- ccr/trunk/p/GPLCCD1.m	(revision 74)
+++ ccr/trunk/p/GPLCCD1.m	(revision 75)
@@ -95,5 +95,5 @@
  ;;<id root="db734647-fc99-424c-a864-7e3cda82e703"/>
  ;;<code code="34133-9" codeSystem="2.16.840.1.113883.6.1" displayName="Summarization of episode note"/>
- ;;<title>Good Health Clinic Continuity of Care Document</title>
+ ;;<title>Continuity of Care Document</title>
  ;;<effectiveTime value="20000407130000+0500"/>
  ;;<confidentialityCode code="N" codeSystem="2.16.840.1.113883.5.25"/>
@@ -101,17 +101,17 @@
  ;;<recordTarget>
  ;;<patientRole>
- ;;<id extension="996-756-495" root="2.16.840.1.113883.19.5"/>
+ ;;<id extension="@@ACTORIEN@@" root="2.16.840.1.113883.19.5"/>
  ;;<patient>
  ;;<name>
- ;;<given>Henry</given>
- ;;<family>Levin</family>
- ;;<suffix>the 7th</suffix>
- ;;</name>
- ;;<administrativeGenderCode code="M" codeSystem="2.16.840.1.113883.5.1"/>
- ;;<birthTime value="19320924"/>
+ ;;<given>@@ACTORGIVENNAME@@</given>
+ ;;<family>@@ACTORFAMILYNAME@@</family>
+ ;;<suffix>@@ACTORSUFFIXNAME@@</suffix>
+ ;;</name>
+ ;;<administrativeGenderCode code="@@ACTORGENDER@@" codeSystem="2.16.840.1.113883.5.1"/>
+ ;;<birthTime value="@@ACTORDATEOFBIRTH@@"/>
  ;;</patient>
  ;;<providerOrganization>
  ;;<id root="2.16.840.1.113883.19.5"/>
- ;;<name>Good Health Clinic</name>
+ ;;<name>@@ORGANIZATIONNAME@@</name>
  ;;</providerOrganization>
  ;;</patientRole>
@@ -123,12 +123,12 @@
  ;;<assignedPerson>
  ;;<name>
- ;;<prefix>Dr.</prefix>
- ;;<given>Robert</given>
- ;;<family>Dolin</family>
+ ;;<prefix>@@ACTORNAMEPREFIX@@</prefix>
+ ;;<given>@@ACTORGIVENNAME@@</given>
+ ;;<family>@@ACTORFAMILYNAME@@</family>
  ;;</name>
  ;;</assignedPerson>
  ;;<representedOrganization>
  ;;<id root="2.16.840.1.113883.19.5"/>
- ;;<name>Good Health Clinic</name>
+ ;;<name>@@ORGANIZATIONNAME@@</name>
  ;;</representedOrganization>
  ;;</assignedAuthor>
@@ -139,5 +139,5 @@
  ;;<representedOrganization>
  ;;<id root="2.16.840.1.113883.19.5"/>
- ;;<name>Good Health Clinic</name>
+ ;;<name>@@ORGANIZATIONNAME@@</name>
  ;;</representedOrganization>
  ;;</assignedEntity>
@@ -147,5 +147,5 @@
  ;;<representedCustodianOrganization>
  ;;<id root="2.16.840.1.113883.19.5"/>
- ;;<name>Good Health Clinic</name>
+ ;;<name>@@ORGANIZATIONNAME@@</name>
  ;;</representedCustodianOrganization>
  ;;</assignedCustodian>
@@ -158,27 +158,10 @@
  ;;<representedOrganization>
  ;;<id root="2.16.840.1.113883.19.5"/>
- ;;<name>Good Health Clinic</name>
+ ;;<name>@@ORGANIZATIONNAME@@</name>
  ;;</representedOrganization>
  ;;</assignedEntity>
  ;;</legalAuthenticator>
  ;;<Actors>
- ;;<participant typeCode="IND">
- ;;<associatedEntity classCode="GUAR">
- ;;<id root="4ff51570-83a9-47b7-91f2-93ba30373141"/>
- ;;<addr>
- ;;<streetAddressLine>17 Daws Rd.</streetAddressLine>
- ;;<city>Blue Bell</city>
- ;;<state>MA</state>
- ;;<postalCode>02368</postalCode>
- ;;</addr>
- ;;<telecom value="tel:(888)555-1212"/>
- ;;<associatedPerson>
- ;;<name>
- ;;<given>Kenneth</given>
- ;;<family>Ross</family>
- ;;</name>
- ;;</associatedPerson>
- ;;</associatedEntity>
- ;;</participant>
+ ;;<ACTOR-NOK>
  ;;<participant typeCode="IND">
  ;;<associatedEntity classCode="NOK">
@@ -194,10 +177,10 @@
  ;;</associatedEntity>
  ;;</participant>
+ ;;</ACTOR-NOK>
  ;;</Actors>
  ;;<documentationOf>
  ;;<serviceEvent classCode="PCPR">
  ;;<effectiveTime>
- ;;<low value="19320924"/>
- ;;<high value="20000407"/>
+ ;;<high value="@@DATETIME@@"/>
  ;;</effectiveTime>
  ;;<performer typeCode="PRF">
@@ -211,12 +194,12 @@
  ;;<assignedPerson>
  ;;<name>
- ;;<prefix>Dr.</prefix>
- ;;<given>Robert</given>
- ;;<family>Dolin</family>
+ ;;<prefix>@@ACTORPREFIXNAME@@</prefix>
+ ;;<given>@@ACTORGIVENNAME@@</given>
+ ;;<family>@@ACTORFAMILYNAME@@</family>
  ;;</name>
  ;;</assignedPerson>
  ;;<representedOrganization>
  ;;<id root="2.16.840.1.113883.19.5"/>
- ;;<name>Good Health Clinic</name>
+ ;;<name>@@ORGANIZATIONNAME@@</name>
  ;;</representedOrganization>
  ;;</assignedEntity>